<?xml version="1.0"?>
<!DOCTYPE package-info SYSTEM "http://www.simplemachines.org/xml/package-info">
<package-info xmlns="http://www.simplemachines.org/xml/package-info" xmlns:smf="http://www.simplemachines.org/">
    <id>@flurry:topic_mute</id>
    <name>Topic Mute</name>
    <version>1.0</version>
    <type>modification</type>

    <install for="2.1.* - 2.1.99">
        <readme parsebbc="true">readme.txt</readme>
        <require-file name="Subs-TopicMute.php" destination="$sourcedir" />
        <require-file name="languages/TopicMute.english.php" destination="$languagedir" />
        <require-file name="topic-mute.js" destination="Themes/default/scripts" />
        <require-file name="TopicMute.php" destination="$sourcedir" />
        <database>dbinstall.php</database>
        <hook hook="integrate_message_index" function="hide_muted_topics" file="$sourcedir/Subs-TopicMute.php" />
        <hook hook="integrate_theme_options" function="mute_theme_option" file="$sourcedir/Subs-TopicMute.php" />
        <hook hook="integrate_display_buttons" function="add_mute_button" file="$sourcedir/Subs-TopicMute.php" />
        <hook hook="integrate_load_theme" function="add_topic_mute_js" file="$sourcedir/Subs-TopicMute.php" />
        <hook hook="integrate_actions" function="add_topicmute_action" file="$sourcedir/Subs-TopicMute.php" />
    </install>

    <uninstall for="2.1.* - 2.1.99">
        <remove-file name="$sourcedir/Subs-TopicMute.php" />
        <remove-file name="$sourcedir/TopicMute.php" />
        <remove-file name="Themes/default/scripts/topic-mute.js" />
        <remove-file name="$languagedir/TopicMute.english.php" />
        <hook hook="integrate_message_index" function="hide_muted_topics" file="$sourcedir/Subs-TopicMute.php" reverse="true" />
        <hook hook="integrate_theme_options" function="mute_theme_option" file="$sourcedir/Subs-TopicMute.php" reverse="true" />
        <hook hook="integrate_display_buttons" function="add_mute_button" file="$sourcedir/Subs-TopicMute.php" reverse="true" />
        <hook hook="integrate_load_theme" function="add_topic_mute_js" file="$sourcedir/Subs-TopicMute.php" reverse="true" />
        <hook hook="integrate_actions" function="add_topicmute_action" file="$sourcedir/Subs-TopicMute.php" reverse="true" />
    </uninstall>
</package-info>
